# Träwelling to Travelynx exporter

This program imports a Träwelling .csv file into Travelynx. To run it,
you need an import API key from Travelynx and a .csv file containing
your trips from Träwelling, which is available from the "Export" menu.

## Usage

	./importer.py CSV_FILE API_KEY
	
Be warned that this imports everything into your account. If you want
a dry run, adjust the script accordingly. Similarly, if you want to
use a different API endpoint for a different Travelynx instance, you
can modify it in the script.

## Bugs

The distances given out by Travelynx are not the actual distances, but
as the crow flies. The script is very inflexible and has few
configuration options, since it was just written in a few minutes by
its author. Contributions to fix these issues are welcome.

## License

Copyright (C) 2022 Antonia <antonia@antonia.is>

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
